## org.eclipse.emf.ocl.utilities
Interface UtilitiesPackage

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EPackage, Notifier

All Known Implementing Classes:
  UtilitiesPackageImpl

Deprecated. Use the `UtilitiesPackage` interface, instead.

    @Deprecated
    public interface UtilitiesPackage

extends EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `UtilitiesFactory`

Nested Class Summary
`static interface` `UtilitiesPackage.Literals` Deprecated. Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Field Summary
`static int` `AST_NODE` Deprecated. The meta object id for the '`AST Node`' class
`static int` `AST_NODE__END_POSITION` Deprecated. The feature id for the 'End Position' attribute
`static int` `AST_NODE__START_POSITION` Deprecated. The feature id for the 'Start Position' attribute
`static int` `AST_NODE_FEATURE_COUNT` Deprecated. The number of structural features of the 'AST Node' class
`static int` `CALLING_AST_NODE` Deprecated. The meta object id for the '`Calling AST Node`' class
`static int` `CALLING_AST_NODE__END_POSITION` Deprecated. The feature id for the 'End Position' attribute
`static int` `CALLING_AST_NODE__PROPERTY_END_POSITION` Deprecated. The feature id for the 'Property End Position' attribute
`static int` `CALLING_AST_NODE__PROPERTY_START_POSITION` Deprecated. The feature id for the 'Property Start Position' attribute
`static int` `CALLING_AST_NODE__START_POSITION` Deprecated. The feature id for the 'Start Position' attribute
`static int` `CALLING_AST_NODE_FEATURE_COUNT` Deprecated. The number of structural features of the 'Calling AST Node' class
`static String` `copyright` Deprecated.
`static UtilitiesPackage` `eINSTANCE` Deprecated. The singleton instance of the package
`static String` `eNAME` Deprecated. The package name
`static String` `eNS_PREFIX` Deprecated. The package namespace name
`static String` `eNS_URI` Deprecated. The package namespace URI
`static int` `PREDEFINED_TYPE` Deprecated. The meta object id for the '`Predefined Type`' class
`static int` `PREDEFINED_TYPE_FEATURE_COUNT` Deprecated. The number of structural features of the 'Predefined Type' class
`static int` `SEMANTIC_EXCEPTION` Deprecated. The meta object id for the 'Semantic Exception' data type
`static int` `TYPED_AST_NODE` Deprecated. The meta object id for the '`Typed AST Node`' class
`static int` `TYPED_AST_NODE__END_POSITION` Deprecated. The feature id for the 'End Position' attribute
`static int` `TYPED_AST_NODE__START_POSITION` Deprecated. The feature id for the 'Start Position' attribute
`static int` `TYPED_AST_NODE__TYPE_END_POSITION` Deprecated. The feature id for the 'Type End Position' attribute
`static int` `TYPED_AST_NODE__TYPE_START_POSITION` Deprecated. The feature id for the 'Type Start Position' attribute
`static int` `TYPED_AST_NODE_FEATURE_COUNT` Deprecated. The number of structural features of the 'Typed AST Node' class
`static int` `VISITABLE` Deprecated. The meta object id for the '`Visitable`' class
`static int` `VISITABLE_FEATURE_COUNT` Deprecated. The number of structural features of the 'Visitable' class

Method Summary
`EAttribute` `getASTNode_EndPosition()` Deprecated. Returns the meta object for the attribute '`End Position`'
`EAttribute` `getASTNode_StartPosition()` Deprecated. Returns the meta object for the attribute '`Start Position`'
`EClass` `getASTNode()` Deprecated. Returns the meta object for class '`AST Node`'
`EAttribute` `getCallingASTNode_PropertyEndPosition()` Deprecated. Returns the meta object for the attribute '`Property End Position`'
`EAttribute` `getCallingASTNode_PropertyStartPosition()` Deprecated. Returns the meta object for the attribute '`Property Start Position`'
`EClass` `getCallingASTNode()` Deprecated. Returns the meta object for class '`Calling AST Node`'
`EClass` `getPredefinedType()` Deprecated. Returns the meta object for class '`Predefined Type`'
`EDataType` `getSemanticException()` Deprecated. Returns the meta object for data type '`Semantic Exception`'
`EAttribute` `getTypedASTNode_TypeEndPosition()` Deprecated. Returns the meta object for the attribute '`Type End Position`'
`EAttribute` `getTypedASTNode_TypeStartPosition()` Deprecated. Returns the meta object for the attribute '`Type Start Position`'
`EClass` `getTypedASTNode()` Deprecated. Returns the meta object for class '`Typed AST Node`'
`UtilitiesFactory` `getUtilitiesFactory()` Deprecated. Returns the factory that creates the instances of the model
`EClass` `getVisitable()` Deprecated. Returns the meta object for class '`Visitable`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

### eNAME

    static final String eNAME

  Deprecated.
  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  Deprecated.
  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  Deprecated.
  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final UtilitiesPackage eINSTANCE

  Deprecated.
  The singleton instance of the package.

### VISITABLE

    static final int VISITABLE

  Deprecated.
  The meta object id for the '`Visitable`' class.

  See Also:
    `VisitableImpl`, `UtilitiesPackageImpl.getVisitable()`, Constant Field Values

### AST_NODE

    static final int AST_NODE

  Deprecated.
  The meta object id for the '`AST Node`' class.

  See Also:
    `ASTNode`, `UtilitiesPackageImpl.getASTNode()`, Constant Field Values

### AST_NODE__START_POSITION

    static final int AST_NODE__START_POSITION

  Deprecated.
  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### AST_NODE__END_POSITION

    static final int AST_NODE__END_POSITION

  Deprecated.
  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### AST_NODE_FEATURE_COUNT

    static final int AST_NODE_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'AST Node' class.

  See Also:
    Constant Field Values

### TYPED_AST_NODE

    static final int TYPED_AST_NODE

  Deprecated.
  The meta object id for the '`Typed AST Node`' class.

  See Also:
    `TypedASTNode`, `UtilitiesPackageImpl.getTypedASTNode()`, Constant Field Values

### CALLING_AST_NODE

    static final int CALLING_AST_NODE

  Deprecated.
  The meta object id for the '`Calling AST Node`' class.

  See Also:
    `CallingASTNode`, `UtilitiesPackageImpl.getCallingASTNode()`, Constant Field Values

### CALLING_AST_NODE__START_POSITION

    static final int CALLING_AST_NODE__START_POSITION

  Deprecated.
  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### CALLING_AST_NODE__END_POSITION

    static final int CALLING_AST_NODE__END_POSITION

  Deprecated.
  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### CALLING_AST_NODE__PROPERTY_START_POSITION

    static final int CALLING_AST_NODE__PROPERTY_START_POSITION

  Deprecated.
  The feature id for the 'Property Start Position' attribute.

  See Also:
    Constant Field Values

### CALLING_AST_NODE__PROPERTY_END_POSITION

    static final int CALLING_AST_NODE__PROPERTY_END_POSITION

  Deprecated.
  The feature id for the 'Property End Position' attribute.

  See Also:
    Constant Field Values

### CALLING_AST_NODE_FEATURE_COUNT

    static final int CALLING_AST_NODE_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Calling AST Node' class.

  See Also:
    Constant Field Values

### PREDEFINED_TYPE

    static final int PREDEFINED_TYPE

  Deprecated.
  The meta object id for the '`Predefined Type`' class.

  See Also:
    `PredefinedType`, `UtilitiesPackageImpl.getPredefinedType()`, Constant Field Values

### PREDEFINED_TYPE_FEATURE_COUNT

    static final int PREDEFINED_TYPE_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Predefined Type' class.

  See Also:
    Constant Field Values

### TYPED_AST_NODE__START_POSITION

    static final int TYPED_AST_NODE__START_POSITION

  Deprecated.
  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### TYPED_AST_NODE__END_POSITION

    static final int TYPED_AST_NODE__END_POSITION

  Deprecated.
  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### TYPED_AST_NODE__TYPE_START_POSITION

    static final int TYPED_AST_NODE__TYPE_START_POSITION

  Deprecated.
  The feature id for the 'Type Start Position' attribute.

  See Also:
    Constant Field Values

### TYPED_AST_NODE__TYPE_END_POSITION

    static final int TYPED_AST_NODE__TYPE_END_POSITION

  Deprecated.
  The feature id for the 'Type End Position' attribute.

  See Also:
    Constant Field Values

### TYPED_AST_NODE_FEATURE_COUNT

    static final int TYPED_AST_NODE_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Typed AST Node' class.

  See Also:
    Constant Field Values

### VISITABLE_FEATURE_COUNT

    static final int VISITABLE_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Visitable' class.

  See Also:
    Constant Field Values

### SEMANTIC_EXCEPTION

    static final int SEMANTIC_EXCEPTION

  Deprecated.
  The meta object id for the 'Semantic Exception' data type.

  See Also:
    `SemanticException`, `UtilitiesPackageImpl.getSemanticException()`, Constant Field Values

Method Detail

### getVisitable

    EClass getVisitable()

  Deprecated.
  Returns the meta object for class '`Visitable`'.

  Returns:
    the meta object for class 'Visitable'.
  See Also:
    `Visitable`

### getASTNode

    EClass getASTNode()

  Deprecated.
  Returns the meta object for class '`AST Node`'.

  Returns:
    the meta object for class 'AST Node'.
  See Also:
    `ASTNode`

### getASTNode_StartPosition

    EAttribute getASTNode_StartPosition()

  Deprecated.
  Returns the meta object for the attribute '`Start Position`'.

  Returns:
    the meta object for the attribute 'Start Position'.
  See Also:
    `ASTNode.getStartPosition()`, `getASTNode()`

### getASTNode_EndPosition

    EAttribute getASTNode_EndPosition()

  Deprecated.
  Returns the meta object for the attribute '`End Position`'.

  Returns:
    the meta object for the attribute 'End Position'.
  See Also:
    `ASTNode.getEndPosition()`, `getASTNode()`

### getTypedASTNode

    EClass getTypedASTNode()

  Deprecated.
  Returns the meta object for class '`Typed AST Node`'.

  Returns:
    the meta object for class 'Typed AST Node'.
  See Also:
    `TypedASTNode`

### getTypedASTNode_TypeStartPosition

    EAttribute getTypedASTNode_TypeStartPosition()

  Deprecated.
  Returns the meta object for the attribute '`Type Start Position`'.

  Returns:
    the meta object for the attribute 'Type Start Position'.
  See Also:
    `TypedASTNode.getTypeStartPosition()`, `getTypedASTNode()`

### getTypedASTNode_TypeEndPosition

    EAttribute getTypedASTNode_TypeEndPosition()

  Deprecated.
  Returns the meta object for the attribute '`Type End Position`'.

  Returns:
    the meta object for the attribute 'Type End Position'.
  See Also:
    `TypedASTNode.getTypeEndPosition()`, `getTypedASTNode()`

### getCallingASTNode

    EClass getCallingASTNode()

  Deprecated.
  Returns the meta object for class '`Calling AST Node`'.

  Returns:
    the meta object for class 'Calling AST Node'.
  See Also:
    `CallingASTNode`

### getCallingASTNode_PropertyStartPosition

    EAttribute getCallingASTNode_PropertyStartPosition()

  Deprecated.
  Returns the meta object for the attribute '`Property Start Position`'.

  Returns:
    the meta object for the attribute 'Property Start Position'.
  See Also:
    `CallingASTNode.getPropertyStartPosition()`, `getCallingASTNode()`

### getCallingASTNode_PropertyEndPosition

    EAttribute getCallingASTNode_PropertyEndPosition()

  Deprecated.
  Returns the meta object for the attribute '`Property End Position`'.

  Returns:
    the meta object for the attribute 'Property End Position'.
  See Also:
    `CallingASTNode.getPropertyEndPosition()`, `getCallingASTNode()`

### getPredefinedType

    EClass getPredefinedType()

  Deprecated.
  Returns the meta object for class '`Predefined Type`'.

  Returns:
    the meta object for class 'Predefined Type'.
  See Also:
    `PredefinedType`

### getSemanticException

    EDataType getSemanticException()

  Deprecated.
  Returns the meta object for data type '`Semantic Exception`'.

  Returns:
    the meta object for data type 'Semantic Exception'.
  See Also:
    `SemanticException`

### getUtilitiesFactory

    UtilitiesFactory getUtilitiesFactory()

  Deprecated.
  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.